org.apache.felix.bundlerepository.impl

## Class RepositoryParser

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.RepositoryParser

Direct Known Subclasses:
  PullParser, StaxParser

    public abstract class RepositoryParser
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `CAPABILITY`
`static java.lang.String` `CATEGORY`
`static java.lang.String` `DEPTH`
`static java.lang.String` `EXTEND`
`static java.lang.String` `FILTER`
`static java.lang.String` `ID`
`static java.lang.String` `LASTMODIFIED`
`static java.lang.String` `MULTIPLE`
`static java.lang.String` `N`
`static java.lang.String` `NAME`
`static java.lang.String` `OBR_PARSER_CLASS`
`static java.lang.String` `OPTIONAL`
`static java.lang.String` `P`
`static java.lang.String` `REFERRAL`
`static java.lang.String` `REPOSITORY`
`static java.lang.String` `REQUIRE`
`static java.lang.String` `RESOURCE`
`static java.lang.String` `T`
`static java.lang.String` `URL`
`static java.lang.String` `V`

### Constructor Summary

Constructors
Constructor and Description
`RepositoryParser()`

### Method Summary

Methods
`static RepositoryParser` `getParser()`
`abstract CapabilityImpl` `parseCapability(java.io.Reader reader)`
`abstract PropertyImpl` `parseProperty(java.io.Reader reader)`
`abstract RepositoryImpl` `parseRepository(java.io.InputStream is, java.lang.String repositoryURI)`
`abstract RepositoryImpl` `parseRepository(java.io.Reader r)`
`abstract RequirementImpl` `parseRequirement(java.io.Reader reader)`
`abstract ResourceImpl` `parseResource(java.io.Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REPOSITORY

    public static final java.lang.String REPOSITORY

See Also:
  Constant Field Values

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

#### LASTMODIFIED

    public static final java.lang.String LASTMODIFIED

See Also:
  Constant Field Values

#### REFERRAL

    public static final java.lang.String REFERRAL

See Also:
  Constant Field Values

#### RESOURCE

    public static final java.lang.String RESOURCE

See Also:
  Constant Field Values

#### DEPTH

    public static final java.lang.String DEPTH

See Also:
  Constant Field Values

#### URL

    public static final java.lang.String URL

See Also:
  Constant Field Values

#### CATEGORY

    public static final java.lang.String CATEGORY

See Also:
  Constant Field Values

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

#### CAPABILITY

    public static final java.lang.String CAPABILITY

See Also:
  Constant Field Values

#### REQUIRE

    public static final java.lang.String REQUIRE

See Also:
  Constant Field Values

#### P

    public static final java.lang.String P

See Also:
  Constant Field Values

#### N

    public static final java.lang.String N

See Also:
  Constant Field Values

#### T

    public static final java.lang.String T

See Also:
  Constant Field Values

#### V

    public static final java.lang.String V

See Also:
  Constant Field Values

#### FILTER

    public static final java.lang.String FILTER

See Also:
  Constant Field Values

#### EXTEND

    public static final java.lang.String EXTEND

See Also:
  Constant Field Values

#### MULTIPLE

    public static final java.lang.String MULTIPLE

See Also:
  Constant Field Values

#### OPTIONAL

    public static final java.lang.String OPTIONAL

See Also:
  Constant Field Values

#### OBR_PARSER_CLASS

    public static final java.lang.String OBR_PARSER_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### RepositoryParser

    public RepositoryParser()

### Method Detail

#### getParser

    public static RepositoryParser getParser()

#### parseRepository

    public abstract RepositoryImpl parseRepository(java.io.InputStream is,
                                 java.lang.String repositoryURI)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseRepository

    public abstract RepositoryImpl parseRepository(java.io.Reader r)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseResource

    public abstract ResourceImpl parseResource(java.io.Reader reader)
                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseCapability

    public abstract CapabilityImpl parseCapability(java.io.Reader reader)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseProperty

    public abstract PropertyImpl parseProperty(java.io.Reader reader)
                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseRequirement

    public abstract RequirementImpl parseRequirement(java.io.Reader reader)
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`